Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Categories

List
GET /calendarmodules/{moduleId}/categories
https://api.relesysapp.net/api/v1.4/calendarmodules/{moduleId}/categories
Get a list of calendar categories.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"49c67d65-7a0a-4fa2-84ca-ad581dee2763","url":null,"creationDateTime":"2026-09-09T21:53:19.5533303+00:00","lastModifiedDateTime":"2026-09-10T21:53:19.5533303+00:00","locales":[{"culture":"en-GB","title":"Calendar category locale title example 1"},{"culture":"da-DK","title":"Calendar category locale title example 2"}]},{"id":"e1ca779e-64f2-483b-b579-ec00e5687514","url":null,"creationDateTime":"2026-09-09T21:53:19.5533303+00:00","lastModifiedDateTime":"2026-09-10T21:53:19.5533303+00:00","locales":[{"culture":"en-GB","title":"Calendar category locale title example 1"}]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    title string      
   url string      
  nextUrl string      
  previousUrl string